# $EPIC: remw,v 1.8 2003/09/22 20:31:00 nsx Exp $
Synopsis:
   $remw(<word> <word list>)

Technical:
   * If the <word> argument is omitted this function returns the empty string.
   * The return value of this function is <word list> with the first occurrence
     of the literal word <word> removed.
   * One space surrounding <word> is removed; additional spaces will remain.
   * Historically <word list> does not support double-quoted words.
     This may change in the future.  Try using /xdebug extractw.
   * <word> and <word list> are case insensitive.

Practical:
   If you have a list of words and you know what one of the words are and you
   want to remove it, you can use this function.  This function is best if
   you know the word to be removed, but you don't know where it is.  This
   saves you having to use $findw() to look it up and $notw() to remove it.

Returns:
   <word list> with first occurrence of <word> removed.

Examples:
   $remw(two one  two  three)            returns "one   three"
   $remw(two one two three two one)    returns "one three two one"

History:
   This function first appeared in "+2" (post-ircII, pre-EPIC)

See Also:
   remws(6); uniq(6); notw(6); findw(6)

